commit:     816535e88e38b049df6358aae11968e0d64ded51
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  6 12:53:53 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Apr  6 12:53:53 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=816535e8

sci-libs/mpfi: Version bump to 1.5.3

Closes: https://bugs.gentoo.org/659168
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-libs/mpfi/Manifest          |  1 +
 sci-libs/mpfi/mpfi-1.5.3.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/sci-libs/mpfi/Manifest b/sci-libs/mpfi/Manifest
index 2924f27c731..8a40087aecb 100644
--- a/sci-libs/mpfi/Manifest
+++ b/sci-libs/mpfi/Manifest
@@ -1 +1,2 @@
 DIST mpfi-1.5.1.tar.bz2 365467 BLAKE2B 
9f9a74f44ef9738f875faff7885da6404752d4687a19a85e877195fe2955e27a96192849b6c8ff190c29b7535b72027151cb98f46edf3871c9bb3f4694360fe1
 SHA512 
498f8b2e114e71c0600f601e4bfef21011e46434d6795e3cd999d38ea9a3d4c66cad2d27e7899629ae422a91b6a776dad2fdbd7c93d51a56f5cfc4ab0e3aeca1
+DIST mpfi-1.5.3.tar.bz2 447256 BLAKE2B 
67bb9af362ec96c015571cbdaba09befc2241e0113b6177dd76eec97b619bbf9c924ba4d16583df664cafdb1a78c8700712e30633e91e5ae6f1d5e084c3ede5c
 SHA512 
9c3cdf665fccff8b383c96827f4acb7aa62efdf7854cff271455273f00f8e7ecf84fbe191b02e5f51fe067aaae564fd2a0add062070ff5c1f542d61a021f967d

diff --git a/sci-libs/mpfi/mpfi-1.5.3.ebuild b/sci-libs/mpfi/mpfi-1.5.3.ebuild
new file mode 100644
index 00000000000..f3981fb6316
--- /dev/null
+++ b/sci-libs/mpfi/mpfi-1.5.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit out-of-source
+
+DESCRIPTION="Multiple precision interval arithmetic library based on MPFR"
+HOMEPAGE="http://perso.ens-lyon.fr/nathalie.revol/software.html";
+SRC_URI="https://gforge.inria.fr/frs/download.php/37331/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+DEPEND="
+       >=dev-libs/gmp-4.1.2:0=
+       >=dev-libs/mpfr-2.4:0="
+RDEPEND="${DEPEND}"
+
+my_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               $(use_enable static-libs static)
+}
+
+my_src_install() {
+       default
+
+       if ! use static-libs; then
+               find "${D}" -name '*.la' -delete || die
+       fi
+}

Reply via email to